var inicio=0;

function aumentar(num){

inicio = num + 10;
Cargar();
}

function disminuir(num){

  if(num>0 ){
    inicio = num - 10;
    Cargar();
  }

}

function Cargar(){
document.location.href="ingresar_asignaturas.php?pos="+inicio;
}


//----------------------------------------------------
$(document).ready(function(){

    $("#bton_insertar").click(function(){
         var parametros = {"accion":'mostrar_tabla'};
                    $.ajax({
                    data:  parametros,
                    url:"app/model/insertar_asignatura.php",
                    type: "POST",
                success: function(opciones){$("#insertar").html(opciones);}})});});
//-----------------------------------------------------
function get(id){
    return document.getElementById(id).value;
}

function borrar(){
    
    document.getElementById('g_id1').value="";
    document.getElementById('g_id2').value="";

    document.getElementById('codigo').value="";
    document.getElementById('descripcion').value="";
    
    document.getElementById('abreviar').value="";
    document.getElementById('promediar').value="";
    document.getElementById('orden').value="";

    document.getElementById('g_id1').focus();

}

function grabar(){

var p = parametro( 'pos' );

if (p==""){
    p=0;
}

var v1=get('g_id1');
var v2=get('codigo');
var v3=get('descripcion');
var v4=get('abreviar');
var v5=get('promediar');
var v6=get('orden');


if (v1=="") {
    alert("Digite Area");
    return 0;
}
if (v2=="") {
    alert("Digite C&oacute;digo de la Asignatura");
    return 0;
}
if (v3=="") {
    alert("Digite Descripci&oacute;n de la Asignatura");
    return 0;
}
if (v4=="") {
    alert("Digite Abreviatura de la Asignatura");
    return 0;
}
if (v5=="") {
    alert("Digite SI/NO");
    return 0;
}



var parametros = {"accion":'grabar_asignatura',
                          "area" :v1,
                          "codigo" :v2,
                          "descripcion" :v3,
                          "abreviar" :v4,
                          "promediar" :v5,
                          "orden" :v6
                           };
        $.ajax({
                data:  parametros,
                url:"app/model/insertar_asignatura.php",
                type:  'post',
                success:function (response){
                        alert(response);
                        borrar();
                        document.location.href="ingresar_asignaturas.php?pos="+p;
                }
        });

}

function actualizar(){

var p = parametro( 'pos' );

if (p==""){
    p=0;
}

var v1=get('g_id1');
var v2=get('codigo');
var v3=get('descripcion');
var v4=get('abreviar');
var v5=get('promediar');
var v6=get('orden');


if (v1=="") {
    alert("Digite Area");
    return 0;
}
if (v2=="") {
    alert("Digite C&oacute;digo de la Asignatura");
    return 0;
}
if (v3=="") {
    alert("Digite Descripci&oacute;n de la Asignatura");
    return 0;
}
if (v4=="") {
    alert("Digite Abreviatura de la Asignatura");
    return 0;
}
if (v5=="") {
    alert("Digite SI/NO");
    return 0;
}




var parametros = {"accion":'actualizar_asignatura',
                          "area" :v1,
                          "codigo" :v2,
                          "descripcion" :v3,
                          "abreviar" :v4,
                          "promediar" :v5,
                          "orden" :v6
                           };
        $.ajax({
                data:  parametros,
                url:"app/model/insertar_asignatura.php",
                type:  'post',
                success:function (response){
                        document.location.href="ingresar_asignaturas.php?pos="+p;
                        alert(response);
                }
        });

}

//------------------------------------------
function eliminar(codigo,inicio,total){

   if ((total>10) && (total-inicio==1)){
       inicio=inicio-10;
   }

   var parametros = {"accion":'borrar_asignatura',
                     "codigo" :codigo
                    };

        $.ajax({
                data:  parametros,
                url:"app/model/insertar_asignatura.php",
                type:  'post',
                success:function (response){
                        alert(response);
                        document.location.href="ingresar_asignaturas.php?pos="+inicio;

                }
        });
}

//------------------------------------------
function editar(codigo){

    var parametros = {"accion":'editar_asignatura',"codigo" :codigo};
        $.ajax({
                data:  parametros,
                url:"app/model/insertar_asignatura.php",
                type:  'post',
                success: function(opciones){$("#insertar").html(opciones);

                }
        });
}

//-----------------------------------
function parametro( name ){
	var regexS = "[\\?&]"+name+"=([^&#]*)";
	var regex = new RegExp ( regexS );
	var tmpURL = window.location.href;
	var results = regex.exec( tmpURL );
	if( results == null )
		return "";
	else
		return results[1];
}




